Subject: Re: [PATCH] gitweb: fixes to gitweb feature check code

From: Jakub Narebski <[email-masked]>
Date: Mon, 17 Nov 2008 11:48:03 +0100

On Mon, 17 Nov 2008, Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
>> Dnia poniedziałek 17. listopada 2008 07:10, Giuseppe Bilotta napisał:
>>> On Mon, Nov 17, 2008 at 2:02 AM, Jakub Narebski <[email-masked]> wrote:
>>
>> [...]
>>>> First, you forgot the signoff, but you have addressed that already.
>>>>
>>>>
>>>> Second, I thought at first that it would be good for the patch to also
>>>> simplify %feature hash, using "'default' => 1" instead of current bit
>>>> convoluted "'default' => [1]", at the cost of bit more code for
>>>> defensive programming.  But now I think that if it is to be done,
>>>> it should be put as separate patch.
>>> 
>>> Is this an ACK? 8-D
>>
>> I'm sorry. Yes, it is.
> 
> Are you sure, even with those unnecessary changes from list context
> assignments to scalar ones?

Well, on one hand this change is not _necessary_, as it would work
without it. On the other hand it feels like cleanup (like e.g. using
tabs to indent but spaces to align, or word-wrapping too long lines).

So I think I'll pass the ball to you... your call ;-)
-- 
Jakub Narebski
Poland